# Investigación Operativa

Bienvenido al repositorio de la asignatura de **Investigación Operativa**. Este repositorio contiene los materiales, ejercicios y recursos necesarios para seguir el curso y practicar los conceptos fundamentales de la asignatura.

## Estructura de carpetas

El contenido del repositorio se organiza en carpetas correspondientes a cada uno de los temas de la asignatura en los que se incluyen ejercicios prácticos:

- **tema2**: Ejercicios de Optimización Lineal
- **tema3**: Ejercicios de Optimización Lineal Entera y Combinatoria
- **tema4**: Ejercicios de Fenómenos de Espera y Teoría de Colas

Cada carpeta contiene ejercicios específicos diseñados para aplicar los conocimientos del tema correspondiente. A continuación, se describe el contenido de cada uno.

## Contenido por carpeta

### tema2: Optimización Lineal
En esta carpeta encontrarás ejercicios que cubren los aspectos clave de la **Optimización Lineal**:

- Formulación de modelos lineales.
- Resolución mediante algoritmos.
- Uso de software de optimización.

### tema3: Optimización Lineal Entera y Combinatoria
La carpeta de **tema3** contiene ejercicios relacionados con:

- Modelos de programación entera, binaria y mixta.
- Algoritmos de resolución para problemas combinatorios y enteros.

### tema4: Fenómenos de Espera y Teoría de Colas
En la carpeta **tema4**, se abordan ejercicios de:

- Estudio de fenómenos de espera mediante teoría de colas.
- Procesos estocásticos.
- Modelos poissonianos y redes de colas.
- Cálculo de medidas de eficiencia en sistemas de espera.

## Instrucciones para completar los ejercicios

1. Navega hasta la carpeta correspondiente al tema en el que estés trabajando.
2. Revisa el archivo de ejercicios para familiarizarte con los problemas planteados.
3. Resuelve los ejercicios aplicando los conceptos vistos en clase.

## Requisitos de software

Los ejercicios de optimización lineal requeriren el uso de la herramienta **GurobiPy**, que es un software de optimización. 

## Contribuciones

Si encuentras errores o tienes sugerencias para mejorar los ejercicios, no dudes en contribuir. Puedes enviar sugerencias a través de un pull request o abrir un issue para discutir cualquier problema.

## Contacto

Para dudas adicionales sobre los ejercicios o la asignatura, contacta nicolas.rodriguez@urjc.es


